Create a new user. Requires Manage permission for Users & Roles
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Request Body
UserCreateRequest
| Property | Description | Type |
|---|---|---|
| active | boolean | |
| activeDirectory | boolean | |
| costCenterId | NOTE: This property will be deprecated Use TopmostCostCenterIds with a single valued list to create a user with a single topmost cost center Create User with a single topmost cost center id The CostCenterId must be in the creating user’s topmost If this value is not null then TopmostCostCenterIds must be null Topmost (CostCenter) Only one of CostCenterId, TopmostCostCenterIds can be set |
integer (int32) |
| Required Must be between 0 and 128 characters | string | |
| forcePasswordChange | Required | boolean |
| fullName | Required Must be between 0 and 32 characters | string |
| maxApprovalAmount | integer (int32) | |
| password | Required Must be between 0 and 128 characters | string |
| passwordExpirationInterval | Required | integer (int32) |
| placeId | NOTE: This property will be deprecated Use TopmostPlaceIds with a single valued list to create a user with a single topmost place Create User with a single topmost place id The PlaceId must be in the creating user’s topmost If this value is not null then TopmostPlaceIds must be null Topmost (Place) Only one of PlaceId, TopmostPlaceIds can be set |
integer (int32) |
| reportGroupId | integer (int32) | |
| strongPassword | Required | boolean |
| topmostCostCenterIds | Create User with one or multiple topmost cost center ids The CostCenterIds must be in the creating user’s topmost If this is not null then CostCenterId must be null Cannot be Empty NULL Valid Only one of CostCenterId, TopmostCostCenterIds can be set | integer[] |
| topmostPlaceIds | Create User with one or multiple topmost place ids The PlaceIds must be in the creating user’s topmost If this is not null then PlaceId must be null Cannot be Empty NULL Valid Only one of PlaceId, TopmostPlaceIds can be set | integer[] |
| userCode | Required Must be between 0 and 65 characters | string |
| userGroups | List of user group ids If null, empty, or not passed the user will not be assigned to any groups | integer[] |
| userRoleId | Required | integer (int32) |
Example Request Body
{ "active": false, "activeDirectory": false, "costCenterId": 1, "email": "string", "forcePasswordChange": false, "fullName": "string", "maxApprovalAmount": 1, "password": "string", "passwordExpirationInterval": 1, "placeId": 1, "reportGroupId": 1, "strongPassword": false, "topmostCostCenterIds": [
1
], "topmostPlaceIds": [
1
], "userCode": "string", "userGroups": [
1
], "userRoleId": 1
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
UserResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| active | User is active or inactive | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| activeDirectory | Is this a active directory user? | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| collection | TopmostCollection | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
TopmostCollection properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| costCenter | TopmostCostCenter | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
TopmostCostCenter properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| Email ID of the user | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| externalUserId | The external identifier for the user. This is only used for federated login. | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| forcePasswordChange | Should the user be forced to change password on next login | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| fullName | Full name of the user | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| lastLogin | last time the user logged in | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| maxApprovalAmount | Max Total cost of bill this user is allowed to approve | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| passwordExpirationInterval | Days until password expires | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| place | TopmostPlace | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
TopmostPlace properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| reportGroup | ReportGroupChildResponse | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ReportGroupChildResponse properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| space | TopmostSpace | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
TopmostSpace properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| strongPassword | Does user need a strong password - at least 8 character long, one upper case, one number, one special char | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| userCode | User Code | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| userGroups | List of groups a user is a part of | UserGroupChild[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UserGroupChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| userId | User Identifier | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| userRole | SystemUserRoleChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
SystemUserRoleChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "active": false, "activeDirectory": false, "collection": { "collectionCode": "string", "collectionIcon": { "code": "string", "color": "string"
}, "collectionId": 1, "collectionInfo": "string", "isMultiTopmostCollection": false, "multiTopmostCollections": [
{ "collectionCode": "string", "collectionIcon": {}, "collectionId": 1, "collectionInfo": "string"
}
]
}, "costCenter": { "costCenterCode": "string", "costCenterId": 1, "costCenterInfo": "string", "isMultiTopmostCostCenter": false, "multiTopmostCostCenters": [
{ "costCenterCode": "string", "costCenterId": 1, "costCenterInfo": "string"
}
]
}, "email": "string", "externalUserId": "string", "forcePasswordChange": false, "fullName": "string", "lastLogin": "2026-03-30", "maxApprovalAmount": 1, "passwordExpirationInterval": 1, "place": { "isDataRolledUp": false, "isMultiTopmostPlace": false, "multiTopmostPlaces": [
{ "isDataRolledUp": false, "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeType": {}
}
], "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeType": { "icon": {}, "isSystemPlaceType": false, "placeEntityType": {}, "placeTypeCode": "string", "placeTypeId": 1, "placeTypeInfo": "string", "structure": false
}
}, "reportGroup": { "reportGroupCode": "string", "reportGroupId": 1, "reportGroupInfo": "string"
}, "space": { "isDataRolledUp": false, "isMultiTopmostPlace": false, "multiTopmostPlaces": [
{ "isDataRolledUp": false, "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeType": {}
}
], "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeType": { "icon": {}, "isSystemPlaceType": false, "placeEntityType": {}, "placeTypeCode": "string", "placeTypeId": 1, "placeTypeInfo": "string", "structure": false
}
}, "strongPassword": false, "userCode": "string", "userGroups": [
{ "userGroupId": 1, "userGroupName": "string"
}
], "userId": 1, "userRole": { "userRoleId": 1, "userRoleInfo": "string"
}
}